Supported Cartridges

There are a number of already prepared cartridges customized for using in the Jelastic Cloud. Examples of this proven technology with Jelastic cartridges can be uploaded from the Template repository:

LOAD-BALANCERS
CartridgeVersion
Apache Balancer
for Jelastic version <= 3.3
2.2
Apache Balancer
for Jelastic version >= 4.0
2.4
HAProxy
1.6.3
Varnish
4.1.0

APPLICATION SERVERS
CartridgeVersionEngine
Python WSGI
for Jelastic version <= 3.3
2.7, 3.3, 3.4Python
Python WSGI
for Jelastic version >= 4.0

2.7, 3.3, 3.4Python
Node.js
0.1xNode.js
Jetty 8
8.1.17Java
Jetty 9
9.3.7Java
JBoss 7
7.0Java
SmartFoxServer
2.xJava
Tomcat 8
8.5.3Java
Railo
4.2Java
GlassFish 4
4.0Java
GlassFish 4
4.1.1Java
WildFly 8
8.2Java
WildFly 9
9.0Java
WildFly 1010.0Java
Raptor
betaRuby

DATABASES
CartridgeVersionType
Redis 2
2.8NoSQL
Redis 33.2NoSQL
Neo4j
1.9NoSQL
Neo4j 2
2.2.3NoSQL
Neo4j 3
for Jelastic version >= 4.0
3.0NoSQL
Cassandra
1.2.5NoSQL
Cassandra 2
2.2.4NoSQL
Cassandra 3
for Jelastic version >= 2.5
3.0NoSQL
OrientDB
1.7NoSQL
OrientDB 2
2.0NoSQL
Percona-XtraDB
for Jelastic version >= 3.1

5.6SQL


In order to enable any of them,
add a particular cartridge to you JCA panel and publish it.

Also, you can package and configure your own cartridge, upload it to the repository and then make it available for your users.